Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaImage

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Category
                          oracle.ifs.beans.TieCategory
                              oracle.ifs.beans.InterMediaSource
                                  oracle.ifs.beans.TieInterMediaSource
                                      oracle.ifs.beans.InterMediaImage

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieInterMediaImage

    public class InterMediaImage

extends TieInterMediaSource

InterMediaImage subclass. This Category subclass is meant to represent meta data extracted from an image file. The extraction is performed by the InterMediaAnnotatorAgent.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `IMAGEBITSPERPIXEL_ATTRIBUTE` Name of the IMAGEBITSPERPIXEL Attribute
`static java.lang.String` | `IMAGECOUNT_ATTRIBUTE` Name of the IMAGECOUNT Attribute
`static java.lang.String` | `IMAGEHEIGHT_ATTRIBUTE` Name of the IMAGEHEIGHT Attribute
`static java.lang.String` | `IMAGEHORIZONTALRES_ATTRIBUTE` Name of the IMAGEHORIZONTALRES Attribute
`static java.lang.String` | `IMAGEPIXELFORMAT_ATTRIBUTE` Name of the IMAGEPIXELFORMAT Attribute
`static java.lang.String` | `IMAGEVERTICALRES_ATTRIBUTE` Name of the IMAGEVERTICALRES Attribute
`static java.lang.String` | `IMAGEWIDTH_ATTRIBUTE` Name of the IMAGEWIDTH Attribute

Fields inherited from class oracle.ifs.beans.InterMediaSource
`MEDIAAUTHORINGTOOL_ATTRIBUTE, MEDIABITRATE_ATTRIBUTE, MEDIACATEGORY_ATTRIBUTE, MEDIACONTENTDATE_ATTRIBUTE, MEDIACOPYRIGHT_ATTRIBUTE, MEDIACREATIONTIME_ATTRIBUTE, MEDIACREDITS_ATTRIBUTE, MEDIADESCRIPTION_ATTRIBUTE, MEDIADURATION_ATTRIBUTE, MEDIAFORMATENCODING_ATTRIBUTE, MEDIAFORMATENCODINGCODE_ATTRIBUTE, MEDIAINFORMATION_ATTRIBUTE, MEDIALANGUAGE_ATTRIBUTE, MEDIAMODIFICATIONTIME_ATTRIBUTE, MEDIAPRODUCER_ATTRIBUTE, MEDIASIZE_ATTRIBUTE, MEDIASOURCEDIRECTORY_ATTRIBUTE, MEDIASOURCEFILEFORMAT_ATTRIBUTE, MEDIASOURCEFILEFORMATCODE_ATTRIBUTE, MEDIASOURCEFILENAME_ATTRIBUTE, MEDIASOURCEMIMETYPE_ATTRIBUTE, MEDIASOURCEPROTOCOL_ATTRIBUTE, MEDIASOURCESTREAMABLE_ATTRIBUTE, MEDIASOURCEURL_ATTRIBUTE, MEDIATIMESCALE_ATTRIBUTE, MEDIATITLE_ATTRIBUTE, MEDIATRACKID_ATTRIBUTE, MEDIAUSERDATA_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.Category
`ASSOCIATEDPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `InterMediaImage(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a InterMediaImage object - standard variant.

Method Summary
`java.lang.Integer` | `getImageBitsPerPixel()` returns The Number of bits per image pixel
`java.lang.Integer` | `getImageCount()` returns The number of images stored in the file
`java.lang.Long` | `getImageHeight()` returns The height of the image
`java.lang.Double` | `getImageHorizontalRes()` returns The Horizontal resolution in pxl/in
`java.lang.String` | `getImagePixelFormat()` returns The color space of the image, including the resolution
`java.lang.Double` | `getImageVerticalRes()` returns The Vertical resolution in pxl/in
`java.lang.Long` | `getImageWidth()` returns The width of the image

Methods inherited from class oracle.ifs.beans.InterMediaSource
`getMediaAuthoringTool, getMediaBitRate, getMediaCategory, getMediaContentDate, getMediaCopyright, getMediaCreationTime, getMediaCredits, getMediaDescription, getMediaDuration, getMediaFormatEncoding, getMediaFormatEncodingCode, getMediaFormatUserData, getMediaInformation, getMediaLanguage, getMediaModificationTime, getMediaProducer, getMediaSize, getMediaSourceDirectory, getMediaSourceFileFormat, getMediaSourceFileFormatCode, getMediaSourceFilename, getMediaSourceMimeType, getMediaSourceProtocol, getMediaSourceStreamable, getMediaSourceURL, getMediaTimeScale, getMediaTitle, getMediaTrackID`

Methods inherited from class oracle.ifs.beans.Category
`constructCategory, constructCategoryArray, constructCategoryVector, getAssociatedPublicObject, getFlagUpdatesForCreate, getFlagUpdatesForFree, moveCategory, postCreate, preFree, updateFlagsUponCreate, updateFlagsUponFree`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `InterMediaImage`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### IMAGEHEIGHT_ATTRIBUTE

    public static final java.lang.String IMAGEHEIGHT_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEHEIGHT Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGEWIDTH_ATTRIBUTE

    public static final java.lang.String IMAGEWIDTH_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEWIDTH Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGECOUNT_ATTRIBUTE

    public static final java.lang.String IMAGECOUNT_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGECOUNT Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGEPIXELFORMAT_ATTRIBUTE

    public static final java.lang.String IMAGEPIXELFORMAT_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEPIXELFORMAT Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGEBITSPERPIXEL_ATTRIBUTE

    public static final java.lang.String IMAGEBITSPERPIXEL_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEBITSPERPIXEL Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGEHORIZONTALRES_ATTRIBUTE

    public static final java.lang.String IMAGEHORIZONTALRES_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEHORIZONTALRES Attribute

  See Also:
    Constant Field Values
  (Published)

### IMAGEVERTICALRES_ATTRIBUTE

    public static final java.lang.String IMAGEVERTICALRES_ATTRIBUTE

  Description copied from class: `InterMediaImage`
  Name of the IMAGEVERTICALRES Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### InterMediaImage

    protected InterMediaImage(LibrarySession session,
                              java.lang.Long id,
                              java.lang.Long classId,
                              S_LibraryObjectData data)
                       throws IfsException

  Constructs a InterMediaImage object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getImageHeight

    public java.lang.Long getImageHeight()
                                  throws IfsException

  Description copied from class: `InterMediaImage`
  returns The height of the image

  Returns:
    height of the image
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImageWidth

    public java.lang.Long getImageWidth()
                                 throws IfsException

  Description copied from class: `InterMediaImage`
  returns The width of the image

  Returns:
    width of the image
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImageCount

    public java.lang.Integer getImageCount()
                                    throws IfsException

  Description copied from class: `InterMediaImage`
  returns The number of images stored in the file

  Returns:
    number of images stored in the file
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImagePixelFormat

    public java.lang.String getImagePixelFormat()
                                         throws IfsException

  Description copied from class: `InterMediaImage`
  returns The color space of the image, including the resolution

  Returns:
    color space of the image, including the resolution
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImageBitsPerPixel

    public java.lang.Integer getImageBitsPerPixel()
                                           throws IfsException

  Description copied from class: `InterMediaImage`
  returns The Number of bits per image pixel

  Returns:
    Number of bits per image pixel
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImageHorizontalRes

    public java.lang.Double getImageHorizontalRes()
                                           throws IfsException

  Description copied from class: `InterMediaImage`
  returns The Horizontal resolution in pxl/in

  Returns:
    Horizontal resolution in pxl/in
  Throws:
    `IfsException` - if operation fails
  (Published)

### getImageVerticalRes

    public java.lang.Double getImageVerticalRes()
                                         throws IfsException

  Description copied from class: `InterMediaImage`
  returns The Vertical resolution in pxl/in

  Returns:
    Vertical resolution in pxl/in
  Throws:
    `IfsException` - if operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD